/// <reference types="react" />
import type { DataServiceLocator } from 'mongodb-data-service/provider';
import { preferencesLocator } from 'compass-preferences-model/provider';
declare const ExplainPlanModalPlugin: import("hadron-app-registry").HadronPluginComponent<{
    namespace: string;
    isDataLake: boolean;
    context?: import("react").Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}, {
    logger: () => import("@mongodb-js/compass-logging/provider").LoggerAndTelemetry;
    dataService: DataServiceLocator<"explainFind" | "explainAggregate" | "isCancelError">;
    preferences: typeof preferencesLocator;
}>;
declare function activate(): void;
declare function deactivate(): void;
export default ExplainPlanModalPlugin;
export { activate, deactivate };
export { default as metadata } from '../package.json';
//# sourceMappingURL=index.d.ts.map